Package pygccxml :: Package declarations :: Module variable :: Class variable_t

# type variable_t

source code

                   object --+
                            |
    declaration.declaration_t --+
                                |
                               variable_t

describes C++ global and member variable declaration

Instance Methods

__init__(self, name=`'````'`, type=None, type_qualifiers=None, value=None, bits=None) creates class that describes C++ global or member variable | source code

__eq__(self, other) implementation details | source code

i_depend_on_them(self, recursive=True) return list of all types and declarations the declaration depends on | source code

Inherited from `declaration.declaration_t`: `__lt__`, `__ne__`, `__str__`, `create_decl_string`

Properties
| type reference to the variable type
| type_qualifiers reference to the type_qualifiers_t instance
| value string, that contains the variable value
| bits integer, that contains information about how many bit takes bit field
| byte_offset integer, offset of the field from the beginning of class.
| access_type
Inherited from `declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, name=`'````'`, type=None, type_qualifiers=None, value=None, bits=None)
(Constructor)

source code

creates class that describes C++ global or member variable

Overrides: declaration.declaration_t.__init__

### __eq__(self, other)
(Equality operator)

source code

implementation details

Overrides: declaration.declaration_t.__eq__

### i_depend_on_them(self, recursive=True)

source code

return list of all types and declarations the declaration depends on

Overrides: declaration.declaration_t.i_depend_on_them
  (inherited documentation)

Property Details

### type

reference to the variable type

Get Method:
  _get_type(self)
Set Method:
  _set_type(self, type)

### type_qualifiers

reference to the type_qualifiers_t instance

Get Method:
  _get_type_qualifiers(self)
Set Method:
  _set_type_qualifiers(self, type_qualifiers)

### value

string, that contains the variable value

Get Method:
  _get_value(self)
Set Method:
  _set_value(self, value)

### bits

integer, that contains information about how many bit takes bit field

Get Method:
  _get_bits(self)
Set Method:
  _set_bits(self, bits)

### byte_offset

integer, offset of the field from the beginning of class.

Get Method:
  _get_byte_offset(self)
Set Method:
  _set_byte_offset(self, byte_offset)

### access_type